[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTVChangingEvent

Specifies an event handler signalled when a tree node is about to be changed.

## Declaration

Source position: comctrls.pp line 2929

`type TTVChangingEvent = procedure(`
`Sender: TObject;`
`Node: TTreeNode;`
`var AllowChange: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

TTVChangingEvent is an object procedure type which specifies an event handler signalled when a tree node is about to be changed. TTVChangingEvent is the type used to implement the TCustomTreeView.OnChanging property.

## See also

TCustomTreeView.OnChanging |  | Event handler signalled before the selected node in the tree view control is changed.
TTVChangedEvent |  | Specifies an event handler signalled when a tree node has been changed.